Package org.lwjgl.opengl

# Class EXTTransformFeedback

java.lang.Object
org.lwjgl.opengl.EXTTransformFeedback

public final class EXTTransformFeedback extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_INTERLEAVED_ATTRIBS_EXT`
Accepted by the <bufferMode> parameter of TransformFeedbackVaryingsEXT:
`static final int`
`GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_PRIMITIVES_GENERATED_EXT`
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:
`static final int`
`GL_RASTERIZER_DISCARD_EXT`
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_SEPARATE_ATTRIBS_EXT`
Accepted by the <bufferMode> parameter of TransformFeedbackVaryingsEXT:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_BINDING_EXT`
Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT, and by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_EXT`
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, BindBufferRangeEXT, BindBufferOffsetEXT and BindBufferBaseEXT:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_MODE_EXT`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_SIZE_EXT`
Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_START_EXT`
Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT:
`static final int`
`GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_EXT`
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:
`static final int`
`GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH_EXT`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_TRANSFORM_FEEDBACK_VARYINGS_EXT`
Accepted by the <pname> parameter of GetProgramiv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBeginTransformFeedbackEXT(int primitiveMode)`
`static void`
`glBindBufferBaseEXT(int target, int index, int buffer)`
`static void`
`glBindBufferOffsetEXT(int target, int index, int buffer, long offset)`
`static void`
`glBindBufferRangeEXT(int target, int index, int buffer, long offset, long size)`
`static void`
`glEndTransformFeedbackEXT()`
`static String`
`glGetTransformFeedbackVaryingEXT(int program, int index, int bufSize, IntBuffer size, IntBuffer type)`
Overloads glGetTransformFeedbackVaryingEXT.
`static void`
`glGetTransformFeedbackVaryingEXT(int program, int index, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)`
`static void`
`glTransformFeedbackVaryingsEXT(int program, int count, ByteBuffer varyings, int bufferMode)`
`static void`
`glTransformFeedbackVaryingsEXT(int program, CharSequence[] varyings, int bufferMode)`
Overloads glTransformFeedbackVaryingsEXT.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TRANSFORM_FEEDBACK_BUFFER_EXT

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_EXT
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, BindBufferRangeEXT, BindBufferOffsetEXT and BindBufferBaseEXT:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_START_EXT

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_START_EXT
Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_SIZE_EXT

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_SIZE_EXT
Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_BINDING_EXT

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_BINDING_EXT
Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT, and by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_INTERLEAVED_ATTRIBS_EXT

public static final int GL_INTERLEAVED_ATTRIBS_EXT
Accepted by the <bufferMode> parameter of TransformFeedbackVaryingsEXT:

See Also:
  - Constant Field Values

### GL_SEPARATE_ATTRIBS_EXT

public static final int GL_SEPARATE_ATTRIBS_EXT
Accepted by the <bufferMode> parameter of TransformFeedbackVaryingsEXT:

See Also:
  - Constant Field Values

### GL_PRIMITIVES_GENERATED_EXT

public static final int GL_PRIMITIVES_GENERATED_EXT
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_EXT

public static final int GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_EXT
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

See Also:
  - Constant Field Values

### GL_RASTERIZER_DISCARD_EXT

public static final int GL_RASTERIZER_DISCARD_EXT
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_EXT

public static final int GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_EXT
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_EXT

public static final int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_EXT
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_EXT

public static final int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_EXT
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_VARYINGS_EXT

public static final int GL_TRANSFORM_FEEDBACK_VARYINGS_EXT
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_MODE_EXT

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_MODE_EXT
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH_EXT

public static final int GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH_EXT
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

## Method Details

### glBindBufferRangeEXT

public static void glBindBufferRangeEXT(int target, int index, int buffer, long offset, long size)

### glBindBufferOffsetEXT

public static void glBindBufferOffsetEXT(int target, int index, int buffer, long offset)

### glBindBufferBaseEXT

public static void glBindBufferBaseEXT(int target, int index, int buffer)

### glBeginTransformFeedbackEXT

public static void glBeginTransformFeedbackEXT(int primitiveMode)

### glEndTransformFeedbackEXT

public static void glEndTransformFeedbackEXT()

### glTransformFeedbackVaryingsEXT

public static void glTransformFeedbackVaryingsEXT(int program, int count, ByteBuffer varyings, int bufferMode)

### glTransformFeedbackVaryingsEXT

public static void glTransformFeedbackVaryingsEXT(int program, CharSequence[] varyings, int bufferMode)
Overloads glTransformFeedbackVaryingsEXT.

### glGetTransformFeedbackVaryingEXT

public static void glGetTransformFeedbackVaryingEXT(int program, int index, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)

### glGetTransformFeedbackVaryingEXT

public static String glGetTransformFeedbackVaryingEXT(int program, int index, int bufSize, IntBuffer size, IntBuffer type)
Overloads glGetTransformFeedbackVaryingEXT.